<?php
include("init.php");

function overVstupy($login, $heslo, $heslo2) { 
  global $mysql, $err; // chcem vidiet globalnu premennu

  if (strlen($login) < 2) {
    $err = "Login musí mať aspoň 2 znaky";
    return false;
  }
  if (strlen($heslo) < 4) {
    $err = "Heslo musí mať aspoň 4 znaky";
    return false;
  }
  if ($heslo !== $heslo2) {
    $err = "Heslá sa nezhodujú";
    return false;
  }

  // 1 pripravime select - hladanie riadku podla loginu
  $select = $mysql->prepare("SELECT id FROM user WHERE login=?");
  if (! $select){
    $err = "priprava selectu sa nepodarila: " . $mysql->error;
    return false;
  }
  // 2 napojime premennu $login do pripraveneho selectu
  if (!$select->bind_param("s", $login)) {
    $err = "Napojenie premennej sa nepodarilo: " . $mysql->error;
    return false;
  }
  // 3 spustime select
  if (! $select->execute()) {
    $err = "Spustenie selectu sa nepodarilo: " . $mysql->error;
    return false;
  }

  $vysledok = $select->get_result();
  if ($vysledok->num_rows > 0) {
    $err = "Pouzivatel s takým loginom existuje"; 
    return false;
  }
  return true;
}

function vlozUsera($login, $heslo) {
  global $mysql, $err; // chcem vidiet globalnu premennu

  // 1. pripravíme INSERT s dvoma neznámymi
  $insert = $mysql->prepare("INSERT INTO user (login, heslo) VALUES (?,?)");
  if (! $insert){
    $err = "priprava insertu sa nepodarila: " . $mysql->error;
    return false;
  }
  // 2. prepojíme $login a $heslo s týmito neznámymi
  if (!$insert->bind_param("ss", $login, $heslo)) {
    $err = "Napojenie premennej sa nepodarilo: " . $mysql->error;
    return false;
  }
  // 3. spustíme INSERT
  if (! $insert->execute()) {
    $err = "Spustenie insertu sa nepodarilo: " . $mysql->error;
    return false;
  }
  return true;
}

if(isset($_POST['login']) && isset($_POST['heslo']) && isset($_POST['heslo2'])) {
    // 1. overit totoznost
    if (overVstupy($_POST['login'], $_POST['heslo'], $_POST['heslo2'])) {
      if (vlozUsera($_POST['login'], $_POST['heslo'])) {
        header("Location: login.php");
        exit();
      }
    } 
}

include("hlavicka.php");
include("menu.php");

if($err !== '') {
    print '<div class="alert alert-danger" role="alert">';
    print $err;
    print '</div>';
    }

?>

<div class="container" style="width: 400px; margin-top: 50px;">
  <form class="form-signin" action="register.php" method="post">
    <h1 class="h3 mb-3 fw-normal">Registrujte sa, prosím</h1>
    <label for="login" class="sr-only">Login</label>
    <input type="text" name="login" id="login" class="form-control" placeholder="používateľské meno" required autofocus>
    <label for="heslo" class="sr-only">Heslo</label>
    <input type="password" name="heslo" id="heslo" class="form-control" placeholder="heslo" required>
    <label for="heslo2" class="sr-only">Heslo ešte raz</label>
    <input type="password" name="heslo2" id="heslo2" class="form-control" placeholder="heslo2" required>
    <input class="mt-1 w-100 btn btn-lg btn-primary" type="submit" value="Registrovať sa"></input>
  </form>
</div> <!-- /container -->

<?php
include("paticka.php");
?>